#
# spec file for package emu10k1 (Version 0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         emu10k1
Copyright:    Creative Technology Ltd.
Group:        System Environment/Kernel
Autoreqprov:  on
Version:      0.6
Release:      164
Summary:      Creative SB Live! and E-mu APS sound driver
Source:	      emu10k1-20001120.tar.gz
Source1:      README.SuSE
Source2:      install_emu10k1
Source3:      mod_conf
Source4:      Makefile.module
Patch1:       emu10k1.dif
Patch2:       pci_compat.dif
Patch3:       emu10k1-20001120.dif

%description
Creative Sound Blaster Live! and E-mu APS driver
The homepage of this driver is opensource.creative.com
You can get new versions from there, report bugs or
subscribe the developer mailing list.
Features
- Open Sound System (OSS) compatible
- Full duplex wave playback/recording (/dev/dsp)
- Simultanous wave playback (/dev/dsp and /dev/dsp1)
- Analog mixer (AC97) (/dev/mixer) (SBLive! only)

SuSE series: snd

%package -n km_emu10
Summary:      emu10k1 sound + joystick modules
Group:        System Environment/Kernel

%description -n km_emu10
ONLY FOR INTERNAL USE!!!

Authors:
--------
    Creative Labs

SuSE series: suse

%prep
%setup -n emu10k1
#%patch1 -p1
#%patch2 -p1
%patch3

%build

%install
DOCDIR=/usr/share/doc/packages/emu10k1
SHAREDIR=/usr/share/emu10k1
install -d -m 755 $DOCDIR
install -m 644 docs/* $DOCDIR
install -m 644 $RPM_SOURCE_DIR/README.SuSE $DOCDIR
install -d -m 755 $SHAREDIR 
install -m 755 $RPM_SOURCE_DIR/install_emu10k1 $SHAREDIR
install -m 755 $RPM_SOURCE_DIR/mod_conf        $SHAREDIR
mkdir -p /usr/src/kernel-modules/emu10k1
cp -r *  /usr/src/kernel-modules/emu10k1
cp $RPM_SOURCE_DIR/Makefile.module /usr/src/kernel-modules/emu10k1

%files -n emu10k1
%doc /usr/share/doc/packages/emu10k1/
/usr/share/emu10k1/

%files -n km_emu10
/usr/src/kernel-modules/emu10k1/*

%changelog -n emu10k1
* Fri Mar 23 2001 - sndirsch@suse.de
- dependancy changes acccording to http://w3.suse.de/~kkaempf/dep/dep.html
* Fri Dec 29 2000 - sndirsch@suse.de
- enabled compilation of joystick module for Kernel 2.4
- removed module.h.dif (not required any longer)
* Tue Nov 21 2000 - sndirsch@suse.de
- only install emu10k1-joy joystick kernel module; emu10k1 sound
  kernel module is already in official kernel sources
* Mon Nov 20 2000 - sndirsch@suse.de
- updated to release 20001120
* Thu Jul 13 2000 - tiwai@suse.de
- Changed pci_compat to emu10k1_pci_compat to avoid confliction
  of symbols with bttv.
* Fri May 26 2000 - sndirsch@suse.de
- updated to release 20000526
- added package km_emu10 for kernel specific module compiling
- minor changes
* Mon Dec 06 1999 - bk@suse.de
- removed unneeded source tar.gz.
* Mon Dec 06 1999 - bk@suse.de
- removed pre-install and post-remove from install_sblive.
* Mon Nov 08 1999 - bk@suse.de
- first full GPL package with all source
* Tue Oct 26 1999 - bk@suse.de
- update to v0.4-SuSE and linux-2.2.13
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 21 1999 - bk@suse.de
- initial version of the Creative Soundblaster Live! and E-mu APS
  sound drivers.
